Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core.jdom
Interface IDOMField

All Superinterfaces:
  Cloneable, IDOMMember, IDOMNode

Deprecated. The JDOM was made obsolete by the addition in 2.0 of the more powerful, fine-grained DOM/AST API found in the org.eclipse.jdt.core.dom package.

public interface IDOMField
extends IDOMMember

Represents a field declaration. The corresponding syntactic units are FieldDeclaration (JLS2 8.3) and ConstantDeclaration (JLS2 9.3) restricted to a single VariableDeclarator clause. A field has no children. The parent of a field is a type.

This interface is not intended to be implemented by clients.

Field Summary

Fields inherited from interface org.eclipse.jdt.core.jdom.IDOMNode
`COMPILATION_UNIT, FIELD, IMPORT, INITIALIZER, METHOD, PACKAGE, TYPE`

Method Summary
`String` | `getInitializer()` Deprecated. Returns the initializer expression for this field.
`String` | `getName()` Deprecated. The `IDOMField` refinement of this `IDOMNode` method returns the name of this field.
`String` | `getType()` Deprecated. Returns the type name of this field.
`void` | `setInitializer(String initializer)` Deprecated. Sets the initializer expression for this field.
`void` | `setName(String name)` Deprecated. The `IDOMField` refinement of this `IDOMNode` method sets the name of this field.
`void` | `setType(String typeName)` Deprecated. Sets the type name of this field.

Methods inherited from interface org.eclipse.jdt.core.jdom.IDOMMember
`getComment, getFlags, setComment, setFlags`

Methods inherited from interface org.eclipse.jdt.core.jdom.IDOMNode
`addChild, canHaveChildren, clone, getCharacters, getChild, getChildren, getContents, getFirstChild, getJavaElement, getNextNode, getNodeType, getParent, getPreviousNode, insertSibling, isAllowableChild, isSignatureEqual, remove`

Method Detail

### getInitializer

    public String getInitializer()

  Deprecated.
  Returns the initializer expression for this field. The syntax for an initializer corresponds to VariableInitializer (JLS2 8.3).

  Note: The expression does not include a "`=`".

  Returns:
    the initializer expression, or `null` if this field does not have an initializer

### getName

    public String getName()

  Deprecated.
  The `IDOMField` refinement of this `IDOMNode` method returns the name of this field. The syntax for the name of a field corresponds to VariableDeclaratorId (JLS2 8.3).

  Specified by:
    `getName` in interface `IDOMNode`
  Returns:
    the name of this field

### getType

    public String getType()

  Deprecated.
  Returns the type name of this field. The syntax for a type name of a field corresponds to Type in Field Declaration (JLS2 8.3).

  Returns:
    the type name

### setInitializer

    public void setInitializer(String initializer)

  Deprecated.
  Sets the initializer expression for this field. The syntax for an initializer corresponds to VariableInitializer (JLS2 8.3).

  Note: The expression does not include a "`=`".

  Parameters:
    `initializer` - the initializer expression, or `null` indicating the field does not have an initializer

### setName

    public void setName(String name)
                 throws IllegalArgumentException

  Deprecated.
  The `IDOMField` refinement of this `IDOMNode` method sets the name of this field. The syntax for the name of a field corresponds to VariableDeclaratorId (JLS2 8.3).

  Specified by:
    `setName` in interface `IDOMNode`
  Parameters:
    `name` - the given name
  Throws:
    `IllegalArgumentException` - if `null` is specified

### setType

    public void setType(String typeName)
                 throws IllegalArgumentException

  Deprecated.
  Sets the type name of this field. The syntax for a type name of a field corresponds to Type in Field Declaration (JLS2 8.3). Type names must be specified as they should appear in source code. For example: `"String"`, `"int[]"`, or `"java.io.File"`.

  Parameters:
    `typeName` - the type name
  Throws:
    `IllegalArgumentException` - if `null` is specified

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.